version: '3.4'
volumes:
  mongo-data:
    name: cyb-db
  mongo-backup:
    name: cyb-db-backup
services:
  mongo:
    container_name: tezos-cyb-mongo
    image: mongo:4.2.3
    ports:
      - '27017:27017'
    volumes:
      - 'mongo-data:/data/db'
    environment:
      MONGO_INITDB_ROOT_USERNAME: root
      MONGO_INITDB_ROOT_PASSWORD: password
      MONGO_INITDB_DATABASE: tezos-cyb
    restart: unless-stopped
  mongo-express:
    container_name: tezos-cyb-mongo-express
    image: 'mongo-express:0.54.0'
    ports:
      - '8081:8081'
    environment:
      ME_CONFIG_MONGODB_ADMINUSERNAME: root
      ME_CONFIG_MONGODB_ADMINPASSWORD: password
    restart: unless-stopped
    depends_on:
      - mongo
  daemon:
    container_name: tezos-cyb-daemon
    image: 'coexyaedi/cyb-daemon:develop'
    environment:
      TEZOS_NODE_URL: http://node:20000
      DAEMON_PURGESLOTSATSTARTUP: 'true'
    restart: unless-stopped
    depends_on:
      - mongo
      - node
  rest-baker:
    container_name: tezos-cyb-rest-baker
    image: 'coexyaedi/cyb-rest-baker:develop'
    environment:
      TEZOS_NODE_URL: http://node:20000
    restart: unless-stopped
    depends_on:
      - mongo
      - node
  rest-transaction-manager:
    container_name: tezos-cyb-rest-transaction-manager
    image: 'coexyaedi/cyb-rest-transaction-manager:develop'
    environment:
      TEZOS_NODE_URL: http://node:20000
    ports:
      - '9090:8080'
    restart: unless-stopped
    depends_on:
      - mongo
      - node
  node:
    container_name: tezos-cyb-sandbox-node
    image: 'coexyaedi/tezos-sandbox-mempool'
    environment:
      PRIVATE_BAKERS: 1
      BLOCK_LIMIT: "200_000_000"
      CYB_BAKER_URL_0: "http://rest-baker:8080/api/mempool"
      ROOT_PATH: "/tezos-data/sandbox"
    ports:
      - '20000:20000'
    restart: unless-stopped
